Уязвимость BDU:2019-04239

Дата: 09.05.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-04239.

Наименование уязвимости: Уязвимость компонента types.cpp библиотеки для управления метаданными медиафайлов Exiv2, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость компонента types.cpp библиотеки для управления метаданными медиафайлов Exiv2 связана с выходом операции за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании (SIGABRT) с помощью вызова функции Exiv2::Internal::PngChunk::zlibUncompress
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 6 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Canonical Ltd. Ubuntu 17.10 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система ООО «РусБИТех-Астра» Astra Linux 1.6 «Смоленск» | Прикладное ПО информационных систем Exiv2 authors Exiv2 0.26 | Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система ООО «РусБИТех-Астра» Astra Linux 2.12 «Орел» |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 6 | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Ubuntu 1710 | Ubuntu 1804 LTS | Astra Linux 16 «Смоленск» | Debian GNU/Linux 80 | Debian GNU/Linux 90 | Astra Linux 212 «Орел» |
Дата выявления: 09.05.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 6,5)

Возможные меры по устранению:
Использование рекомендаций:
Для Astra Linux:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
Обновление программного обеспечения (пакета exiv2) до 0.25-3.1+deb9u1 или более поздней версии

Для Exiv2:
https://github.com/Exiv2/exiv2/issues/302

Для Debian GNU/Linux:
https://www.debian.org/security/2018/dsa-4238
https://lists.debian.org/debian-lts-announce/2018/10/msg00012.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00010.html

Для программных продутов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2018-10958
https://access.redhat.com/errata/RHSA-2019:2101

Для Ubuntu:
https://usn.ubuntu.com/3700-1/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-10958.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://github.com/Exiv2/exiv2/pull/316
https://nvd.nist.gov/vuln/detail/CVE-2018-10958
https://wiki.astralinux.ru/pages/viewpage.action?pageId=44892734
https://github.com/Exiv2/exiv2/issues/302
https://www.debian.org/security/2018/dsa-4238
https://lists.debian.org/debian-lts-announce/2018/10/msg00012.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00010.html
https://access.redhat.com/security/cve/cve-2018-10958
https://access.redhat.com/errata/RHSA-2019:2101
https://usn.ubuntu.com/3700-1/
https://security.gentoo.org/glsa/201811-14

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *